org.w3c.css.sac

## Interface Locator

    public interface Locator

Interface for associating a CSS event with a document location.

If a SAX parser provides location information to the SAX application, it does so by implementing this interface and then passing an instance to the application using the document handler's setDocumentLocator method. The application can use the object to obtain the location of any other document handler event in the CSS source document.

Note that the results returned by the object will be valid only during the scope of each document handler method: the application will receive unpredictable results if it attempts to use the locator at any other time.

CSS parsers are not required to supply a locator, but they are very strong encouraged to do so. If the parser supplies a locator, it must do so before reporting any other document events. If no locator has been set by the time the application receives the startDocument event, the application should assume that a locator is not available.

### Method Summary

Methods
`int` `getColumnNumber()` Return the column number where the current document event ends.
`int` `getLineNumber()` Return the line number where the current document event ends.
`java.lang.String` `getURI()` Return the URI for the current document event.

### Method Detail

#### getURI

    java.lang.String getURI()

Return the URI for the current document event.

The parser must resolve the URI fully before passing it to the application.

Returns:
  A string containing the URI, or null if none is available.

#### getLineNumber

    int getLineNumber()

Return the line number where the current document event ends. Note that this is the line position of the first character after the text associated with the document event.

Returns:
  The line number, or -1 if none is available.
See Also:
  `getColumnNumber()`

#### getColumnNumber

    int getColumnNumber()

Return the column number where the current document event ends. Note that this is the column number of the first character after the text associated with the document event. The first column in a line is position 1.

Returns:
  The column number, or -1 if none is available.
See Also:
  `getLineNumber()`